version: "3"

services:
  web: 
    build:
      context: .
      dockerfile: Dockerfile 
    container_name: unicorn-web 
    expose:
      - 80/tcp
    ports:
      - 8080:80
    restart: unless-stopped 
    healthcheck:
      test: curl --fail http://localhost:80 || exit 1
      interval: 10s
      timeout: 30s
      retries: 10
      start_period: 10s
